SQLITE3_DB_RELEASE_MEMORY(3)

NAME
sqlite3_db_release_memory - free memory used by a database connection

SYNOPSIS
#include <sqlite3.h>
int
sqlite3_db_release_memory(sqlite3*);

DESCRIPTION
The sqlite3_db_release_memory(D) interface attempts to free as much heap memory as possible from database connection D. Unlike the sqlite3_release_memory() interface, this interface is in effect even when the SQLITE_ENABLE_MEMORY_MANAGEMENT compile-time option is omitted.

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 6955.

    SQLITE_API int sqlite3_db_release_memory(sqlite3*);

SEE ALSO
sqlite3_release_memory(3)